LSCLOCKS(1)

NUME
lsclocks - afișează ceasurile sistemului

REZUMAT

lsclocks [opțiune]

DESCRIERE

lsclocks este o comandă simplă pentru afișarea ceasurilor sistemului.

Aceasta permite afișarea de informații precum ora curentă și rezoluția ceasurilor, cum ar fi CLOCK_MONOTONIC, CLOCK_REALTIME și CLOCK_BOOTTIME.

OPȚIUNI

-J, --json
    Utilizează formatul de ieșire JSON.

-n, --noheadings
    Nu afișează linia de titluri.

-o, --output listă
    Specifică ce coloane de ieșire se vor afișa. Consultați secțiunea COLOANE DE IEȘIRE pentru detalii despre coloanele disponibile.

--output-all
    Afișează toate coloanele.

-r, --raw
    Utilizează formatul de ieșire brut.

-r, --time ceas
    Afișează ora curentă a unui anumit ceas.

--no-discover-dynamic
    Nu încearcă să descopere ceasuri dinamice.

-d, --dynamic-clock ruta
    Afișează, de asemenea, ceasul dinamic specificat. Poate fi specificată de mai multe ori.

--no-discover-rtc
    Nu încearcă să descopere ceasuri RTC.

-x, --rtc ruta
    Afișează, de asemenea, ceasul RTC specificat. Poate fi specificată de mai multe ori.

-c, --cpu-clock pid
    Afișează, de asemenea, ceasul CPU al procesului specificat. Poate fi specificată de mai multe ori.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

COLOANE DE IEȘIRE

Fiecare coloană este de un tip. Tipurile sunt înconjurate de < și >.

TYPE <șir>
    Tipul de ceas.

ID <număr>
    Identificatorul numeric al ceasului.

CLOCK <șir>
    Nume sub forma CLOCK_

NAME <șir>
    Nume mai scurt și mai ușor de citit.

TIME <număr>
    Marca temporală curentă a ceasului, așa cum a fost returnată de clock_gettime().

ISO_TIME <șir>
    Versiunea în format ISO8601 a TIME.

RESOL_RAW <număr>
    Rezoluția ceasului, așa cum este returnată de clock_getres(2).

RESOL <număr>
    Versiunea lizibilă de către om a RESOL_RAW.

REL_TIME <șir>
    TIME timp formatat ca interval de timp.

NS_OFFSET <număr>
    Decalajul dintre spațiul de nume curent și spațiul de nume părinte, citit din /proc/self/timens_offsets.

AUTORI

CONSULTAȚI ȘI

clock_getres(2) clock_gettime(2)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lsclocks face parte din pachetul util-linux care poate fi descărcat de la